class PartnerizeLink {

    constructor( url, proxy = `/wp-json/api/v1/proxy/` ) {

        this.url = url;

        this.proxy = proxy;
        this.platform = 'Partnerize';
    }

    isLink() {

        return this.url.includes('prf');
    }


    isValid() {
        return false;
    }


    addTag( placeholder ) {

        let url = this.url.replace(/&amp;/g, '&');

        /// al momento c'è solo un publisher id, quindi lo scriviamo direttamente
        /// altrimenti dobbiamo lasciarlo parametrizzato

        return url.replace(/(.*pubref:).*?(\/.*|$)/g, `$1${ placeholder }$2`);
    }


    /**
     * effettua la chiamata e prende i dati del link     
     */
    async getData( api_call ) {

        let response = await fetch( `${this.proxy}${api_call}` )
        this.data = await response.json();
        
        return this.data;
    }
    

}